#ifndef _FROG_EVENT_VERTEX_H__
#define _FROG_EVENT_VERTEX_H__

#include "Base.h"

namespace FROG{

class Event_Vertex :  public Base {
public :	
	float PosX;    float PosY;    float PosZ; float likelihood;
        

	virtual unsigned int chunkId(){ return 12500;}
	virtual bool isCompactible(){ return true; }

	Event_Vertex(){}
	Event_Vertex(float posX,    float posY,    float posZ, float likeli):		
	PosX(posX),	PosY(posY),	PosZ(posZ),	likelihood(likeli){}

	virtual ByteBuffer writeData(){	
		ByteBuffer toReturn(16);
		toReturn.putFloat(PosX);
		toReturn.putFloat(PosY);
		toReturn.putFloat(PosZ);
		toReturn.putFloat(likelihood);
		return toReturn;	
	}
};

}//FROG Namespace
#endif

